#ifndef AUDIOWIDGET_H
#define AUDIOWIDGET_H

#include <QTimer>

#include "audiolayerwidget.h"
#include "settings.h"
#include "miniaudioengine.h"
#include "defines.h" // MAX_LAYERS

class AudioWidget : public QWidget
{
    Q_OBJECT

public:
    AudioWidget();
    bool startEngine();
    bool startEngine(int id);
    void stopEngine();
    void mediaLoaded(int layer, QString media );
    void volChanged(int layer, float vol);
    void panChanged(int layer, int pan);
    void pitchChanged(int layer, int pitch);
    void playbackChanged(int layer, Status status);
    void entryPointChanged(int layer, int cursor);

private:
    MiniAudioEngine m_mae;
    QString m_currentMedia[MAX_LAYERS];
    QHBoxLayout *m_layout;
    QTimer *m_refreshUi;

public slots:
    void uiSliderAction(int layer, Slider s, int value);
    void uiChangePlaybackStatus(int layer, Status s);

private slots:
    void refreshUi();
};

#endif // AUDIOWIDGET_H
