/*
   Libre Media Server Audio - An Open source Media Server for arts and performing.
   (c) Criptomart - Santiago Noreña 2012-2024 <lms@criptomart.net>
   https://git.criptomart.net/libremediaserver

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef LIBREMEDIASERVERAUDIO_H
#define LIBREMEDIASERVERAUDIO_H

#include <QDockWidget>
#include <QWebView>

#include "audiowidget.h"
#include "medialibrary.h"
#include "olathread.h"
#include "settings.h"
#include "dmxwidget.h"
#include "defines.h"
#include "ui_libremediaserver-audio.h"

class libreMediaServerAudio : public QMainWindow
{
    Q_OBJECT

public:
    libreMediaServerAudio (QStringList args, QWidget *parent = 0);
    virtual ~libreMediaServerAudio();
    Ui::LibreMediaServerAudio ui;

private:
    AudioWidget *m_aw;
    dmxWidget *m_dmxWidget;
    olaThread *m_ola;
    MediaLibrary *m_mediaLibrary;

private slots:
    void olasetup();
    void dmxInput(int layer, int channel, int value);
};

#endif // LIBREMEDIASERVERAUDIO_H
