/*

    Libre Media Server Audio - An Open source Media Server for arts and performing.
    (c) Criptomart - Santiago Noreña 2012-2024 <lms@criptomart.net>
    https://git.criptomart.net/libremediaserver

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "libremediaserver-audio.h"


int main(int argc, char *argv[])
{
  QApplication app(argc, argv);
  QStringList args = app.arguments();
  if (args.size() > 1)
  {
    if (args.contains("-v"))
    {
      qDebug() << VERSION;
      qDebug() << COPYRIGHT;
      qDebug() << LICENSE;
      return 0;
    }
    if (args.contains("-h"))
    {
      qDebug() << VERSION;
      qDebug() << COPYRIGHT;
      qDebug() << LICENSE;
      qDebug() << "Help for command line options:";
      qDebug() << "-v show the version and exits";
      qDebug() << "-h this help";
      return 0;
    }
  }
  libreMediaServerAudio libreMediaServerAudio(args);
  libreMediaServerAudio.show();
  return app.exec();
}
