#ifndef SETTINGS_H
#define SETTINGS_H

#include <QXmlStreamReader>
#include <QFile>
#include <QMessageBox>
#include <QSet>

#include "medialibrary.h"
#include "audiowidget.h"
#include "defines.h"

class Settings : public QObject
{
    Q_OBJECT

public:
    static Settings *getInstance();
    inline QSet<int> getUniverses() { return m_universe; }
    inline QString getPathMedia() { return m_pathmedia; }
    inline QList<dmxSetting> getDmxSettings() { return m_settings; }
    inline int getLayersNumber() { return m_layersNumber; }
    void readFile();
    inline int getAudioDeviceId() { return m_audioDeviceId; }

private:
   static Settings *_instance;
   QList<dmxSetting> m_settings;
   QString m_pathmedia;
   uint m_audioDeviceId;
   QSet<int> m_universe;
   int m_layersNumber;

   explicit Settings(QObject *parent = 0);
   void readFromFile(QString file);

};

#endif // SETTINGS_H
